#!/usr/bin/perl

# This script parses metapackage information out of devtools-metapackage
# debian/control file.

use strict;
use warnings;

my $pkg = 0;
my $deps = 0;
my $desc = 0;

sub print_pkg_line()
{
    return unless $pkg;
    return unless $deps;
    return unless $desc;

    print "$pkg $deps $desc\n";
    $pkg = 0;
    $deps = 0;
    $desc = 0;
}

open I, '<', 'debian/control' or die "Cannot open 'debian/control': $!\n";

while (<I>)
{
    $pkg = $1, next if /^Package:\s+(devtools-\S+)/;
    
    if (/^Depends:\s/) {
	#my @rlist = split /[\s,]+/;
	chomp;
	my @rlist = split /\s*,\s*/;
	my @list;
	foreach (@rlist) {
	    s/\s.*//; # <- replaced -> # tr/ /_/;
	    push @list, $_ unless /[{:}]/;
	}
	$deps = join ',', @list;
	next;
    }
#    print $_;
    $desc = $1 if /^# x-dm-desc:\s+(.*)/;
#    if (s/^Description:\s+//) {
#	s/\s*developer//;
#	s/\s*tools//;
#	s/\s*metapackage\s*//;
#	$desc = $_;
#    }
    print_pkg_line if (/^\s*$/);
}
print_pkg_line;
